%global momorel 3
Summary: enable date calculations based on the Gregorian calendar.
Name: perl-Date-Calc
Version: 5.4
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
URL: http://www.cpan.org/modules/by-module/Date/
Source0: http://www.cpan.org/modules/by-module/Date/Date-Calc-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.5
BuildPreReq: perl-Bit-Vector >= 6.3-5m

%description
Perl module (which usesthe C library, internally) for all kinds of
date calculations based on the Gregorian calendar.

%prep
%setup -n Date-Calc-%{version} -q

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
LC_ALL=C make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/Date/Calc/.packlist
rm -rf %{buildroot}%{_mandir}/man3/Carp::Clan.3
rm -f %{buildroot}%{perl_sitearch}/Carp/Clan.pm
rm -f %{buildroot}%{perl_sitearch}/Carp/Clan.pod

%files
%defattr(-, root, root)
%doc Artistic.txt CHANGES.txt CREDITS.txt EXAMPLES.txt GNU_GPL.txt GNU_LGPL.txt
%doc README.txt TOOLS.txt examples
%{perl_sitearch}/Date
%{perl_sitearch}/auto/Date
%{_mandir}/man?/*

%clean
rm -rf %{buildroot}

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.4-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.4-2m)
- rebuilt against perl-5.8.7
- rebuilt against perl-Bit-Vector-6.4-2m

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.4-1m)
- update to 5.4

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (5.3-8m)
- rebuild against perl-5.8.5
- rebuild against perl-Bit-Vector 6.3-6m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (5.3-7m)
- remove Epoch from BuildPrereq

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (5.3-6m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.3-5m)
- rebuild against perl-5.8.2
- rebuild against perl-Bit-Vector 6.3-5m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (5.3-4m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (5.3-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Mon Sep 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.3-1m)
- code cleanup

* Sun Sep 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.2-1m)

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.1-2m)
- remove files that conflict with 'perl-Bit-Vector' package

* Sun Sep 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.1-1m)

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (5.0-3m)
- remove BuildPreReq: gcc2.95.3

* Sun May 12 2002 Toru Hoshina <t@Kondara.org>
- (5.0-2k)
- version up.

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (4.3-12k)
- rebuild against for perl-5.6.1

* Mon Sep 17 2001 Toru Hoshina <t@kondara.org>
- (4.3-10k)
- no more fixpack...

* Fri May 04 2001 Toru Hoshina <toru@df-usa.com>
- (4.3-8k)
- rebuild by gcc 2.95.3 :-P

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- use perl_archlib & perl_sitearch macro

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Fri Feb 4 2000 Kyoichi Ozaki <k@afromania.org>
- 1st release
